Summary:	Utilities for alternative packaging
Name:		scl-utils
Version:	20120927
Release:	2%{?dist}.centos
License:	GPLv2+
Group:		Applications/File
URL:		http://jnovy.fedorapeople.org/scl-utils/
Source0:	http://jnovy.fedorapeople.org/scl-utils/%{name}-%{version}.tar.gz
Source1:	macros.scl-filesystem
Patch9999:	scl-utils-20120229-centos.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Run-time utility for alternative packaging.

%package build
Summary:	RPM build macros for alternative packaging
Group:		Applications/File
Requires:	iso-codes
Requires:	redhat-rpm-config

%description build
Essential RPM build macros for alternative packaging.

%prep
%setup -q
#CentOS
%patch9999 -p1

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%install
rm -rf %buildroot
mkdir -p %buildroot%{_sysconfdir}/rpm
mkdir -p %buildroot%{_sysconfdir}/scl/prefixes
# CentOS
#mkdir -p %buildroot/opt/rh
mkdir -p %buildroot/opt/centos
(cd %{buildroot}/opt && ln -s centos rh)
install -d -m 755 %buildroot%{_mandir}/man1
make install DESTDIR=%buildroot
cat %SOURCE1 >> %buildroot%{_sysconfdir}/rpm/macros.scl

# remove brp-python-hardlink invocation as it is not present in RHEL5
sed -i -e '/^.*brp-python-hardlink.*/d' %buildroot%{_sysconfdir}/rpm/macros.scl

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
# CentOS
#%dir /opt/rh
%dir /opt/centos
/opt/rh
%dir %{_sysconfdir}/scl/prefixes
%{_bindir}/scl
%{_bindir}/scl_enabled
%{_mandir}/man1/*
%{_sysconfdir}/bash_completion.d/scl.bash

%{!?_rpmconfigdir:%global _rpmconfigdir /usr/lib/rpm}
%files build
%defattr(-,root,root,-)
%{_sysconfdir}/rpm/macros.scl
%{_rpmconfigdir}/scldeps.sh
%{_rpmconfigdir}/fileattrs/scl.attr
%{_rpmconfigdir}/brp-scl-compress
%{_rpmconfigdir}/brp-scl-python-bytecompile

%changelog
* Mon Aug 26 2013 Tru Huynh <tru@centos.org> - 20120927-2.centos
- Merged CentOS changes

* Wed Nov 07 2012 Jindrich Novy <jnovy@redhat.com> 20120927-2
- don't run brp-python-hardlink after build, it is not present
  in RHEL5 (#873602)

* Sun Oct 14 2012 Jindrich Novy <jnovy@redhat.com> 20120927-1
- update to 20120927 (#864534)

* Fri Jun 22 2012 Jindrich Novy <jnovy@redhat.com> 20120613-1
- initial import
